#ifndef _listbox_h
#define _listbox_h

class _listbox
{
	_button up, down;
	short x, y, w, h;
	short listsize;
	short sel;
	short offset;
	short delay;
	char **list;
	
public:
	void init(int x, int y, int w, int h);
	void additem(const char *item);
	void check();
	void unselect();
	void draw();
	void clear();
	void sort();
	void scroll(int n);
	char *selected();
	int getsel();

	_listbox();
	~_listbox();
};



#endif
